
titre: '<:formidable:traiter_enregistrement_titre:>'
description: '<:formidable:traiter_enregistrement_description:>'
options:
  -
    saisie: 'fieldset'
    options:
      nom : 'moderation_fieldset'
      label: '<:formidable:traiter_enregistrement_option_moderation_label:>'
    saisies:
      -
        saisie: 'radio'
        options:
          nom: 'moderation'
          label: '<:formidable:traiter_enregistrement_option_moderation_label:>'
          data:
            posteriori: '<:forum:bouton_radio_modere_posteriori:>'
            priori: '<:forum:bouton_radio_modere_priori:>'
            validation_email: '<:formidable:traiter_enregistrement_moderation_validation_email_label:>'
          defaut: 'posteriori'
      -
        saisie: 'case'
        options:
          nom: 'moderer_admins'
          label_case: '<:formidable:traiter_enregistrement_option_moderer_admins_explication:>'
          afficher_si: '@traitements[enregistrement][moderation]@ == "priori"'
      -
        saisie: 'fieldset'
        options:
          nom: 'validation_email_delai'
          label: '<:formidable:traiter_enregistrement_option_validation_email_delai_label:>'
          afficher_si: '@traitements[enregistrement][moderation]@ == "validation_email"'
        saisies:
          -
            saisie: 'conteneur_inline'
            options:
              nom: 'validation_email_delai_conteneur'
              colonnes: '1ligne_max'
            saisies:
              -
                saisie: 'input'
                options:
                  nom: 'validation_email_delai_quantite'
                  label: '<:formidable:traiter_enregistrement_option_validation_email_delai_quantite_label:>'
                  defaut: '15'
                  obligatoire: 'on'
                verifier:
                -
                  type: 'entier'
                  options:
                    min: 1
              -
                saisie: 'selection'
                options:
                  nom: 'validation_email_delai_unite'
                  label: '<:formidable:traiter_enregistrement_option_validation_email_delai_unite_label:>'
                  obligatoire: 'on'
                  defaut: 'minute'
                  cacher_option_intro: 'on'
                  data:
                    minute: '<:spip:date_minutes:>'
                    hour: '<:spip:date_heures:>'
      -
        saisie: 'champ'
        options:
          nom: 'validation_email_destinataire'
          label: '<:formidable:traiter_enregistrement_option_validation_email_destinataire_label:>'
          afficher_si: '@traitements[enregistrement][moderation]@ == "validation_email"'
          env: true
          obligatoire: on
          type_choix: 'selection'
          forcer_type: ['input', 'email']
      -
        saisie: 'input'
        options:
          nom: 'validation_email_sujet'
          label: '<:formidable:traiter_enregistrement_option_validation_email_sujet_label:>'
          defaut: '<:formidable:traiter_enregistrement_option_validation_email_sujet_defaut:>'
          afficher_si: '@traitements[enregistrement][moderation]@ == "validation_email"'
          obligatoire: 'on'
      -
        saisie: 'textarea'
        options:
          nom: 'validation_email_corps'
          label: '<:formidable:traiter_enregistrement_option_validation_email_corps_label:>'
          defaut: '<:formidable:traiter_enregistrement_option_validation_email_corps_defaut:>'
          explication: '<:formidable:traiter_enregistrement_option_validation_email_corps_explication:>'
          afficher_si: '@traitements[enregistrement][moderation]@ == "validation_email"'
          obligatoire: 'on'
          rows: 10
  -
    saisie: 'fieldset'
    options:
      nom : 'reponses_existantes'
      label: '<:formidable:traiter_enregistrement_reponses_existantes:>'
    saisies:
      -
        saisie: 'case'
        options:
          nom: 'multiple'
          label_case: '<:formidable:traiter_enregistrement_option_multiple_explication:>'
          defaut: 'on'
          conteneur_class: 'pleine_largeur'
      -
        saisie: 'case'
        options:
          nom: 'modifiable'
          label_case: '<:formidable:traiter_enregistrement_option_modifiable_explication:>'
          defaut: ''
          conteneur_class: 'pleine_largeur'
      -
        saisie: 'case'
        options:
          nom: 'modif_instituer_prop'
          label_case: '<:formidable:traiter_enregistrement_option_modif_instituer_prop_label_case:>'
          conteneur_class: 'pleine_largeur'
          afficher_si: '@traitements[enregistrement][moderation]@ == "priori" && @traitements[enregistrement][modifiable]@'
  -
    saisie: 'fieldset'
    options:
      nom : 'unicite_champ'
      label: '<:formidable:traiter_enregistrement_unicite_champ:>'
    saisies:
      -
        saisie: 'champ'
        options:
          nom: 'unicite'
          label: '<:formidable:traiter_enregistrement_unicite_label:>'
          env: true
          type_choix: 'selection'
      -
        saisie: 'input'
        options:
          nom: 'message_erreur_unicite'
          label: '<:formidable:traiter_enregistrement_erreur_unicite_label:>'
          afficher_si: '@traitements[enregistrement][unicite]@!=""'
      -
        saisie: 'statuts_objet'
        options:
          nom: 'unicite_statuts'
          label: '<:formidable:traiter_enregistrement_unicite_statuts_label:>'
          explication: '<:formidable:traiter_enregistrement_unicite_statuts_explication:>'
          objet: formulaires_reponse
          multiple: oui
          obligatoire: oui
          afficher_si: '@traitements[enregistrement][unicite]@!=""'
          defaut: [publie]
  -
    saisie: 'fieldset'
    options:
      nom : 'identification_reponses'
      label: '<:formidable:traiter_enregistrement_identification_reponses:>'
      afficher_si: '@traitements[enregistrement][multiple]@ != "on" || @traitements[enregistrement][modifiable]@ == "on"'
    saisies:
      -
        saisie: 'radio'
        options:
          nom: 'identification'
          label: '<:formidable:traiter_enregistrement_option_identification_label:>'
          explication: '<:formidable:traiter_enregistrement_option_identification_explication:>'
          data:
            cookie: '<:formidable:identification_par_cookie:>'
            id_auteur: '<:formidable:identification_par_id_auteur:>'
            id_reponse: '<:formidable:identification_par_id_reponse:>'
            variable_php: '<:formidable:identification_par_variable_php:>'
          defaut: 'cookie'
      -
        saisie: 'selection'
        options:
          nom: 'variable_php'
          label: '<:formidable:traiter_enregistrement_option_identification_variable_php_label:>'
          explication: '<:formidable:traiter_enregistrement_option_identification_variable_php_explication:>'
          data:
            remote_user: '<:formidable:traiter_enregistrement_option_remote_user_label:>'
            php_auth_user: '<:formidable:traiter_enregistrement_option_php_auth_user_label:>'
          defaut: ''
          obligatoire: 'on'
          afficher_si : '@traitements[enregistrement][identification]@ == "variable_php"'
  -
    saisie: 'fieldset'
    options:
      nom : 'donnees_personnelles'
      label: '<:formidable:traiter_enregistrement_donnees_personelles:>'
    saisies:
      -
        saisie: 'radio'
        options:
          nom: 'effacement_type'
          label: '<:formidable:traiter_enregistrement_option_effacement_type_label:>'
          conteneur_class: 'pleine_largeur'
          defaut: 'nope'
          data:
            'nope': '<:formidable:traiter_enregistrement_option_effacement_type_nope_label:>'
            'delai': '<:formidable:traiter_enregistrement_option_effacement_type_delai_label:>'
            'date': '<:formidable:traiter_enregistrement_option_effacement_type_date_label:>'
      -
        saisie: 'input'
        options:
          nom: 'effacement_delai'
          obligatoire: 'on'
          label: '<:formidable:traiter_enregistrement_option_effacement_delai_label:>'
          afficher_si: '@traitements[enregistrement][effacement_type]@=="delai"'
        verifier:
          -
            type: 'entier'
            options:
              min: 1
      -
        saisie: 'date'
        options:
          nom: 'effacement_date'
          label: '<:formidable:traiter_enregistrement_option_effacement_date_label:>'
          obligatoire: 'on'
          attention: '<:formidable:traiter_enregistrement_option_effacement_date_attention:>'
          afficher_si: '@traitements[enregistrement][effacement_type]@=="date"'
          conteneur_class: 'pleine_largeur'
        verifier:
          -
            type: 'date'
            options:
              normaliser: 'datetime'
              format: 'amj'
      -
        saisie: 'case'
        options:
          nom: 'anonymiser'
          label_case: '<:formidable:traiter_enregistrement_option_anonymiser_label:>'
          defaut: ''
          conteneur_class: 'pleine_largeur'
      -
        saisie: 'case'
        options:
          nom: 'ip'
          label_case: '<:formidable:traiter_enregistrement_option_ip_label:>'
          conteneur_class: 'pleine_largeur'
  -
    saisie: 'fieldset'
    options:
      nom : 'divers'
      label: '<:formidable:traiter_enregistrement_divers:>'
    saisies:
      -
        saisie: 'case'
        options:
          nom: 'public'
          label_case: '<:formidable:traiter_enregistrement_option_public_label_case:>'
          conteneur_class: 'pleine_largeur'
      -
        saisie: 'case'
        options:
          nom: 'invalider'
          conteneur_class: 'pleine_largeur'
          label_case: '<:formidable:traiter_enregistrement_option_invalider_label:>'
          explication: '<:formidable:traiter_enregistrement_option_invalider_explication:>'
      -
        saisie: 'input'
        options:
          nom: 'resume_reponse'
          label: '<:formidable:traiter_enregistrement_option_resume_reponse_label:>'
          explication: '<:formidable:traiter_enregistrement_option_resume_reponse_explication:>'
      -
        saisie: 'textarea'
        options:
          nom: 'analyse_exclure_champs'
          label: '<:formidable:analyse_exclure_champs_label:>'
          explication: '<:formidable:analyse_exclure_champs_explication:>'
          rows: 4
